# TdApi.DeleteRevokedChatInviteLink (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: DeleteRevokedChatInviteLink

Package it.tdlight.jni

# Class TdApi.DeleteRevokedChatInviteLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.DeleteRevokedChatInviteLink

Enclosing class:
  TdApi

    public static class TdApi.DeleteRevokedChatInviteLink
    extends TdApi.Function

Deletes revoked chat invite links. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Chat identifier.
`static int` | `CONSTRUCTOR` |
`String` | `inviteLink` | Invite link to revoke.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`DeleteRevokedChatInviteLink()` | Deletes revoked chat invite links.
`DeleteRevokedChatInviteLink​(long chatId, String inviteLink)` | Deletes revoked chat invite links.
`DeleteRevokedChatInviteLink​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### inviteLink

public String inviteLink
Invite link to revoke.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### DeleteRevokedChatInviteLink

public DeleteRevokedChatInviteLink()
Deletes revoked chat invite links. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `Ok`

### DeleteRevokedChatInviteLink

public DeleteRevokedChatInviteLink​(long chatId, String inviteLink)
Deletes revoked chat invite links. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `inviteLink` - String Invite link to revoke.

### DeleteRevokedChatInviteLink

public DeleteRevokedChatInviteLink​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`